Contributing to 'humble' Open Source Project
============================================

[humble](https://github.com/rfc-st/humble) welcomes contributions. When contributing, please follow the [Code of Conduct](https://github.com/rfc-st/humble/blob/master/CODE_OF_CONDUCT.md), especially the last section (<i>Update 2022/03/26</i>), on the war in Ukraine: is a <b>personal</b> decision that I hope you understand. Otherwise, and if you don't want to contribute to this project because you don't agree with my ideas, I will <b>deeply respect</b> it.

Enhancement & Issues
--------------------

Feel free to submit [issues](https://github.com/rfc-st/humble/issues/new?assignees=&labels=&template=bug_report.md&title=) and [enhancement requests](https://github.com/rfc-st/humble/issues/new?assignees=&labels=&template=feature_request.md&title=).


Contributing
------------

Please note (before sending a Pull Request) that <i>humble</i> is a multi-language tool: take a look at [these](https://github.com/rfc-st/humble/tree/master/i10n) files.

Therefore, every Pull Request sent must take into account both of them, and update them accordingly; also, take another look at the functions <i>get_detail</i>, <i>print_detail</i>, <i>print_details</i> and similar; they will help you understand how I handle literals and phrases.

And finally, I have my <i>quirks</i> :), and I may not accept your Pull Request for certain reasons that I will <b>always</b> explain in the request itself. That, of course, doesn't mean that I don't value your interest, your time or your code: <b>always</b>, if I end up implementing your idea, I <b>will mention you</b> in the [Acknowledgements](https://github.com/rfc-st/humble/#acknowledgements) section.

Thank you!.

Methodology
-----------

 0. Read the previous section! :)
 1. **Fork** the repo on GitHub
 2. **Clone** the project to your own machine
 3. **Commit** changes to your own branch
 4. **Push** your work back up to your fork
 5. Submit a **Pull request** so that I can review your changes

Copyright and Licensing
-----------------------

'humble' is licensed under the [MIT license](https://github.com/rfc-st/humble/blob/master/LICENSE).
